# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions | Protected Attributes

# vl::CRC32CheckSum Class Reference

Computes the a CRC32 checksum of a given buffer or VirtualFile. More...

`#include <CRC32CheckSum.hpp>`

List of all members.

## Public Member Functions

| CRC32CheckSum ()
| Constructor.
unsigned int | compute (const void *buf, int length)
unsigned int | compute (VirtualFile *stream)
void | startCRC32 ()
unsigned int | finalizeCRC32 ()
void | continueCRC32 (unsigned char *ptr, int length)

## Protected Member Functions

void | crc32_init ()
unsigned int | reflect (unsigned int val, char ch)

## Protected Attributes

unsigned int | mCRC32
unsigned int | crc32_table [256]

## Detailed Description

Computes the a CRC32 checksum of a given buffer or VirtualFile.

Definition at line 42 of file CRC32CheckSum.hpp.

## Constructor & Destructor Documentation

vl::CRC32CheckSum::CRC32CheckSum | ( | ) | `[inline]`

Constructor.

Definition at line 49 of file CRC32CheckSum.hpp.

References crc32_init().

## Member Function Documentation

unsigned int vl::CRC32CheckSum::compute | ( | const void * | buf,
|  | int | length
| ) |  | `[inline]`

Definition at line 51 of file CRC32CheckSum.hpp.

References crc32_table, and mCRC32.

Referenced by vl::VirtualFile::crc32(), and vl::ZippedFile::extract().

unsigned int vl::CRC32CheckSum::compute | ( | VirtualFile * | stream ) | `[inline]`

Definition at line 60 of file CRC32CheckSum.hpp.

References continueCRC32(), finalizeCRC32(), vl::length(), vl::VirtualFile::read(), and startCRC32().

void vl::CRC32CheckSum::startCRC32 | ( | ) | `[inline]`

Definition at line 73 of file CRC32CheckSum.hpp.

References mCRC32.

Referenced by compute().

unsigned int vl::CRC32CheckSum::finalizeCRC32 | ( | ) | `[inline]`

Definition at line 74 of file CRC32CheckSum.hpp.

References mCRC32.

Referenced by compute().

void vl::CRC32CheckSum::continueCRC32 | ( | unsigned char * | ptr,
|  | int | length
| ) |  | `[inline]`

Definition at line 75 of file CRC32CheckSum.hpp.

References crc32_table, and mCRC32.

Referenced by compute().

void vl::CRC32CheckSum::crc32_init | ( | ) | `[inline, protected]`

Definition at line 82 of file CRC32CheckSum.hpp.

References crc32_table, mCRC32, and reflect().

Referenced by CRC32CheckSum().

unsigned int vl::CRC32CheckSum::reflect | ( | unsigned int | val,
|  | char | ch
| ) |  | `[inline, protected]`

Definition at line 95 of file CRC32CheckSum.hpp.

Referenced by crc32_init().

## Member Data Documentation

unsigned int vl::CRC32CheckSum::mCRC32`[protected]`

Definition at line 108 of file CRC32CheckSum.hpp.

Referenced by compute(), continueCRC32(), crc32_init(), finalizeCRC32(), and startCRC32().

unsigned int vl::CRC32CheckSum::crc32_table[256]`[protected]`

Definition at line 109 of file CRC32CheckSum.hpp.

Referenced by compute(), continueCRC32(), and crc32_init().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/CRC32CheckSum.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:32.
Permission is granted to use this page to write and publish articles regarding Visualization Library.